GET /pool-inventory/{uuid}/server

GET /pool-inventory/{uuid}/server

/pool-inventory/{uuid}/server

Request
URI
GET
https://{api_host}/api/pool-inventory/{uuid}/server
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PoolInventoryServerList of type(s) application/json
{
    "count": 0,
    "next": "string",
    "results": [
        {
            "config": {
                "default_server_port": 0,
                "description": "string",
                "enabled": false,
                "hostname": "string",
                "ip": {
                    "addr": "string",
                    "type": "string"
                },
                "port": 0,
                "ratio": 0,
                "tenant_ref": "string"
            },
            "health_score": {
                "anomaly_penalty": 0,
                "health_score": "number",
                "performance_score": {
                    "application_performance": {
                        "reason": "string",
                        "reason_attr": "string",
                        "uuid": "string",
                        "virtualservice_performance_scores": [
                            {
                                "hs_entity": {
                                    "entity_uuid": "string",
                                    "metrics_entity": "string",
                                    "pool_ref": "string",
                                    "server": "string"
                                },
                                "reason": "string",
                                "score_data": {
                                    "apdexc": "number",
                                    "apdexr": "number",
                                    "avg_pool_performance_score": "number",
                                    "oper_state": "string",
                                    "pool_performance_scores": [
                                        {
                                            "hs_entity": {
                                                "entity_uuid": "string",
                                                "metrics_entity": "string",
                                                "pool_ref": "string",
                                                "server": "string"
                                            },
                                            "reason": "string",
                                            "score_data": {
                                                "apdexc": "number",
                                                "apdexr": "number",
                                                "oper_state": "string",
                                                "pool_ref": "string",
                                                "reason": "string",
                                                "reason_attr": "string",
                                                "sum_finished_conns": "number",
                                                "uuid": "string"
                                            },
                                            "value": "number"
                                        }
                                    ],
                                    "reason": "string",
                                    "reason_attr": "string",
                                    "rum_apdexr": "number",
                                    "sum_finished_conns": "number",
                                    "uuid": "string",
                                    "vs_uptime": "number"
                                },
                                "value": "number"
                            }
                        ]
                    },
                    "pool_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "oper_state": "string",
                        "pool_ref": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "sum_finished_conns": "number",
                        "uuid": "string"
                    },
                    "reason": "string",
                    "reason_attr": "string",
                    "server_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "oper_state": "string",
                        "pool_uuid": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "server": "string",
                        "sum_finished_conns": "number",
                        "uuid": "string"
                    },
                    "serviceengine_performance": {
                        "oper_state": "string",
                        "reason": "string",
                        "reason_attr": "string",
                        "uuid": "string"
                    },
                    "value": "number",
                    "virtualservice_performance": {
                        "apdexc": "number",
                        "apdexr": "number",
                        "avg_pool_performance_score": "number",
                        "oper_state": "string",
                        "pool_performance_scores": [
                            {
                                "hs_entity": {
                                    "entity_uuid": "string",
                                    "metrics_entity": "string",
                                    "pool_ref": "string",
                                    "server": "string"
                                },
                                "reason": "string",
                                "score_data": {
                                    "apdexc": "number",
                                    "apdexr": "number",
                                    "oper_state": "string",
                                    "pool_ref": "string",
                                    "reason": "string",
                                    "reason_attr": "string",
                                    "sum_finished_conns": "number",
                                    "uuid": "string"
                                },
                                "value": "number"
                            }
                        ],
                        "reason": "string",
                        "reason_attr": "string",
                        "rum_apdexr": "number",
                        "sum_finished_conns": "number",
                        "uuid": "string",
                        "vs_uptime": "number"
                    }
                },
                "resources_penalty": 0,
                "security_penalty": 0
            },
            "metrics": {
                "data": {
                    "value": "number"
                },
                "headers": {
                    "statistics": {
                        "max": "number",
                        "mean": "number",
                        "min": "number",
                        "num_samples": 0
                    }
                }
            },
            "pool_ref": "string",
            "runtime": {
                "oper_status": {
                    "last_changed_time": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "reason": [
                        "string"
                    ],
                    "reason_code": 0,
                    "reason_code_string": "string",
                    "state": "string"
                }
            }
        }
    ]
}
integer As uint32 As uint32
count
Required  

Total number of servers matching the query. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
next
Optional

URL of the next page of results, if any. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
results
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool-inventory/{uuid}/server